<?php

namespace Dud\WettbewerbBundle\Service;

use Doctrine\ORM\EntityManagerInterface;
use Dud\WettbewerbBundle\Entity\Wettbewerb;

class WettbewerbService
{
    private $entityManager;

    public function __construct(EntityManagerInterface $entityManager)
    {
        $this->entityManager = $entityManager;
    }

    public function saveWettbewerb($userid, $pid, $punkte)
    {
        $wettbewerb = new Wettbewerb();
        $wettbewerb->setUserid($userid);
        $wettbewerb->setPid($pid);
        $wettbewerb->setPunkte($punkte);
        $wettbewerb->setTstamp(time());

        $this->entityManager->persist($wettbewerb);
        $this->entityManager->flush();
    }
}
